Page MenuHomePhabricator

[libclang 5/8] Add support for ObjC attributes without args
ClosedPublic

Authored by michaelwu on Jul 10 2018, 6:40 AM.

Details

Summary

This adds support to libclang for identifying ObjC related attributes that don't take arguments.

All attributes but NSObject and NSConsumed are tested.

Diff Detail

Repository
rC Clang

Event Timeline

michaelwu created this revision.Jul 10 2018, 6:40 AM
michaelwu retitled this revision from [libclang] Add support for ObjC attributes without args to [libclang 5/8] Add support for ObjC attributes without args.Jul 21 2018, 11:13 AM
yvvan accepted this revision.Jul 31 2018, 6:12 AM
This revision is now accepted and ready to land.Jul 31 2018, 6:12 AM

Some of the CHECKs in the test will be reordered to pass, but it's still the same test.

This revision was automatically updated to reflect the committed changes.